# $Revision: 1.6 $, $Date: 2009/09/10 07:04:32 $
#
# Conditional build:
%bcond_without	tests		# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define	pdir	File
%define	pnam	Temp
#
Summary:	File::Temp - create name and handle of a temporary file safely
Summary(pl.UTF-8):	File::Temp - moduł języka Perl tworzący nazwy plików tymczasowych
Name:		perl-File-Temp
Version:	0.22
Release:	1
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-authors/id/T/TJ/TJENNESS/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	a7e93cf2015881ded1f22b5b2d0cb391
URL:		http://search.cpan.org/dist/File-Temp/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
File::Temp can be used to create and open temporary files in a safe
way. There is both a function interface and an object-oriented
interface. The File::Temp constructor or the tempfile() function can
be used to return the name and the open filehandle of a temporary
file. The tempdir() function can be used to create a temporary
directory.

%description -l pl.UTF-8
File::Temp może być użyty do tworzenia i otwierania plików
tymczasowych w sposób bezpieczny. Istnieje zarówno interfejs
funkcyjny jak i obiektowy. Konstruktor klasy File::Temp lub funkcja
tempfile() mogą zwracać nazwę pliku tymczasowego a następnie go
otwierać do zapisu. Do tworzenia katalogów tymczasowych może być
użyta funkcja tempdir().

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc ChangeLog README
%{perl_vendorlib}/File/*.pm
%{_mandir}/man3/*

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-File-Temp.spec,v $
Revision 1.6  2009/09/10 07:04:32  amateja
- updated to 0.22

Revision 1.5  2008/12/01 13:54:17  arekm
- up to 0.21

Revision 1.4  2007-12-23 23:22:14  zbyniu
- up to 0.20

Revision 1.3  2007-03-31 11:11:45  qboosh
- cleanup

Revision 1.2  2007/03/20 14:02:04  beorn
- Polish translation
- Macros in Source
- Adapterized

Revision 1.1  2007/03/19 22:01:14  radek
- new
